Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Protected Member Functions | List of all members
Ofcas.Lk.Api.Client.Ui.LoginScopeUi Class Reference

The LoginScopeUi is the the scope to interact with LogiKal via user interfaces. The LoginScopeUi can only be obtained by using the ServiceProxyBase. It is necessary that a service is running. Currently only memory binding is supported. The children are of type ProjectCenterUi. The children can be received from the CoreObject<T>.Infos. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Ui.LoginScopeUi:

## Public Member Functions
new ProjectCenterUi | GetChild (ProjectCenterInfo projectCenterInfo)
| Gets a ProjectCenterUi based on a ProjectCenterInfo. More...
new ProjectCenterUi | GetChild (ProjectCenterInfo projectCenterInfo, ProjectInfo projectInfo)
| Gets a ProjectCenterUi based on a ProjectCenterInfo and a ProjectInfo. More...
new ProjectCenterUi | GetProjectCenter (ProjectCenterInfo projectCenterInfo)
| This method is deprecated. Please use GetChild(ProjectCenterInfo) instead. More...
new ProjectCenterUi | GetProjectCenter (ProjectCenterInfo projectCenterInfo, ProjectInfo projectInfo)
| This method is deprecated. Please use GetChild(ProjectCenterInfo, ProjectInfo) instead. More...
new IList< LoginRunnableProgram > | GetRunnablePrograms ()
| Retrieves a list of available LoginRunnablePrograms. More...
OperationStatus | RunProgram (LoginRunnableProgram program, Dictionary< string, object > optionalParameters=null)
| This method is deprecated. Please use ShowModal(LoginRunnableProgram, Dictionary<string, object>) instead. More...
DialogResultCode | ShowModal (LoginRunnableProgram program, Dictionary< string, object > parameters)
| Shows the LoginRunnableProgram in a modal window. More...
ISynchronizedOperation | Show (LoginRunnableProgram program, Dictionary< string, object > parameters)
| Shows the LoginRunnableProgram in a non-modal window. More...
DialogResultCode | WaitForShow (ISynchronizedOperation synchronizedOperation)
| Waits for the ISynchronizedOperation to finish. More...
IDialogResult< Project > | SelectProject ()
| Selects a project via User Interface (UI). More...
IDialogResult< Elevation > | SelectElevation ()
| Selects an elevation via User Interface (UI). More...
void | SetApplicationHandle (IntPtr uiHandle, bool setAsDefaultHandle=false)
| Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,IntPtr,TimeSpan)). More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.LoginScope
override ProjectCenter | GetChild (ProjectCenterInfo projectCenterInfo)
| Gets a ProjectCenter based on a ProjectCenterInfo. More...
ProjectCenter | GetChild (ProjectCenterInfo projectCenterInfo, ProjectInfo projectInfo)
| Gets a ProjectCenter based on a ProjectCenterInfo and a ProjectInfo. More...
ProjectCenter | GetProjectCenter (ProjectCenterInfo projectCenterInfo)
| This method is deprecated. Please use GetChild(ProjectCenterInfo) instead. More...
ProjectCenter | GetProjectCenter (ProjectCenterInfo childInfo, ProjectInfo projectInfo)
| This method is deprecated. Please use GetChild(ProjectCenterInfo, ProjectInfo) instead. More...
IList< LoginRunnableProgram > | GetRunnablePrograms ()
| This method is deprecated. Please use LoginScopeUi.GetRunnablePrograms() instead. More...
IList< ElementType > | GetAvailableElementTypes ()
| This method is deprecated. Please use GetElementTypes instead. More...
IList< ElementType > | GetElementTypes ()
| Returns a list of all available ElementType for the current LoginScope. More...
IList< IElevationProcessingStatus > | GetElevationProcessingStatuses ()
override ProjectCenterInfo | RefreshChild (ProjectCenterInfo childInfo)
IList< ProjectInfo > | GetRecentProjects ()
| Obtains the ProjectInfo of the recently opened projects. More...
IList< ProjectInfo > | GetRecentProjectInfos ()
| This method is deprecated. Please use GetRecentProjects() instead. More...
bool | IsExportNeeded (DatabaseExportType databaseExportType)
| Checks whether the export is needed or not. More...
Stream | GetExport (ExportSettings exportSettings)
| This method is deprecated. Please use GetExport(Dictionary<string, object>) instead. More...
Stream | GetExport (Dictionary< string, object > parameters)
| Gets an export stream for the stated parameters. More...
double | GetGlassPrice (Dictionary< string, object > parameters)
| Gets a glass price based on the stated parameters. More...
ElementPricelistContainer | GetElementPricelistContainer ()
| Gets an ElementPricelistContainer. More...
ICoreObjectFactory | GetCoreObjectFactory ()
| Gets an ICoreObjectFactory. More...
ProgramRuntimeInformation | GetProgramRuntimeInformation ()
| Gets the ProgramRuntimeInformation of the installation. More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectCenter, ProjectCenterInfo >
void | DisposeChild (ICoreObject coreObject)
bool | IsParentOf (ICoreObject coreObject)
abstract TChildInfo | RefreshChild (TChildInfo childInfo)
void | RefreshChildren ()
virtual TChild | GetChild (TChildInfo childInfo)
virtual IList< TChild > | GetChildren (IEnumerable< TChildInfo > childrenInfos=null)
virtual OperationInfo | CanCreateChild ()
virtual TChildInfo | CreateChild ()
virtual OperationInfo | CanDeleteChild (TChildInfo childInfo)
virtual void | DeleteChild (TChildInfo childInfo, bool forceDelete=false)
virtual OperationInfo | CanMoveFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | MoveFrom (ICoreInfo coreInfo)
virtual OperationInfo | CanCopyFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | CopyFrom (ICoreInfo coreInfo)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
bool | CanDispose ()
| Checks whether the ICoreInfo can be disposed. More...

## Protected Member Functions
override ProjectCenter | CreateNewInstance (Guid coreObjectId, ProjectCenterInfo projectCenterInfo, ProjectDirectoryInfo projectDirectoryInfo)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.LoginScope
override IEnumerable< ProjectCenterInfo > | GetChildrenInfos ()
| Gets the children infos. More...
override void | Dispose (bool disposing)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectCenter, ProjectCenterInfo >
| CoreObjectWithChildren (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
TChildInfo | RefreshChild (Predicate< TChildInfo > predicate, object childInformation)
| Refreshes all infos and returns the appropriate info. More...

## Additional Inherited Members
Properties inherited from Ofcas.Lk.Api.Client.Core.LoginScope
SettingContainer | Settings`[get]`
ISynchronizationContainer | SynchronizationContainer`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectCenter, ProjectCenterInfo >
IList< TChildInfo > | ChildrenInfos`[get, protected set]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithParameters
SettingContainer | Settings`[get]`
| The SettingContainer of the ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithSynchronizations
ISynchronizationContainer | SynchronizationContainer`[get]`
| The ISynchronizationContainer of this ICoreObject. More...

## Detailed Description

The LoginScopeUi is the the scope to interact with LogiKal via user interfaces. The LoginScopeUi can only be obtained by using the ServiceProxyBase. It is necessary that a service is running. Currently only memory binding is supported. The children are of type ProjectCenterUi. The children can be received from the CoreObject<T>.Infos.

## Member Function Documentation

## ◆ GetChild() [1/2]

new ProjectCenterUi Ofcas.Lk.Api.Client.Ui.LoginScopeUi.GetChild | ( | ProjectCenterInfo | projectCenterInfo | ) |

Gets a ProjectCenterUi based on a ProjectCenterInfo.

Parameters

  projectCenterInfo | The ProjectCenterInfo of the ProjectCenterUi to be returned.

Returns
  Returns a ProjectCenterUi based on the given ProjectCenterInfo.

## ◆ GetChild() [2/2]

new ProjectCenterUi Ofcas.Lk.Api.Client.Ui.LoginScopeUi.GetChild | ( | ProjectCenterInfo | projectCenterInfo,
|  | ProjectInfo | projectInfo
| ) |  |

Gets a ProjectCenterUi based on a ProjectCenterInfo and a ProjectInfo.

Parameters

  projectCenterInfo | The ProjectCenterInfo of the ProjectCenterUi to be returned.
  projectInfo | The ProjectInfo contained in the ProjectCenterUi to be returned.

Returns
  Returns a ProjectCenterUi based on the given ProjectCenterInfo and ProjectInfo.

## ◆ GetProjectCenter() [1/2]

new ProjectCenterUi Ofcas.Lk.Api.Client.Ui.LoginScopeUi.GetProjectCenter | ( | ProjectCenterInfo | projectCenterInfo | ) |

This method is deprecated. Please use GetChild(ProjectCenterInfo) instead.

## ◆ GetProjectCenter() [2/2]

new ProjectCenterUi Ofcas.Lk.Api.Client.Ui.LoginScopeUi.GetProjectCenter | ( | ProjectCenterInfo | projectCenterInfo,
|  | ProjectInfo | projectInfo
| ) |  |

This method is deprecated. Please use GetChild(ProjectCenterInfo, ProjectInfo) instead.

## ◆ GetRunnablePrograms()

new IList<LoginRunnableProgram> Ofcas.Lk.Api.Client.Ui.LoginScopeUi.GetRunnablePrograms | ( |  | ) |

Retrieves a list of available LoginRunnablePrograms.

Returns
  Returns a list of available LoginRunnablePrograms.

## ◆ RunProgram()

OperationStatus Ofcas.Lk.Api.Client.Ui.LoginScopeUi.RunProgram | ( | LoginRunnableProgram | program,
|  | Dictionary< string, object > | optionalParameters = `null`
| ) |  |

This method is deprecated. Please use ShowModal(LoginRunnableProgram, Dictionary<string, object>) instead.

## ◆ SelectElevation()

IDialogResult<Elevation> Ofcas.Lk.Api.Client.Ui.LoginScopeUi.SelectElevation | ( |  | ) |

Selects an elevation via User Interface (UI).

Returns
  Returns a dialog result which indicates how the Ui was handled. Returns a ready-to-use Elevation if the IDialogResult.Code is DialogResultCode.Accepted.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ SelectProject()

IDialogResult<Project> Ofcas.Lk.Api.Client.Ui.LoginScopeUi.SelectProject | ( |  | ) |

Selects a project via User Interface (UI).

Returns
  Returns a dialog result which indicates how the Ui was handled. Returns a ready-to-use Project if the IDialogResult.Code is DialogResultCode.Accepted.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ SetApplicationHandle()

void Ofcas.Lk.Api.Client.Ui.LoginScopeUi.SetApplicationHandle | ( | IntPtr | uiHandle,
|  | bool | setAsDefaultHandle = `false`
| ) |  |

Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,IntPtr,TimeSpan)).

Parameters

  uiHandle | the ui handle to be used for opened user interfaces from this class.
  setAsDefaultHandle | If true, the given handle will be set as the application's default handle.

## ◆ Show()

ISynchronizedOperation Ofcas.Lk.Api.Client.Ui.LoginScopeUi.Show | ( | LoginRunnableProgram | program,
|  | Dictionary< string, object > | parameters
| ) |  |

Shows the LoginRunnableProgram in a non-modal window.

Parameters

  program | The LoginRunnableProgram to be run.
  parameters | The optional parameters for the LoginRunnableProgram to be run. See WellKnownParameterKeys.LoginScope.Program for the available keys.

Returns
  Returns an ISynchronizedOperation for the LoginRunnableProgram.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ ShowModal()

DialogResultCode Ofcas.Lk.Api.Client.Ui.LoginScopeUi.ShowModal | ( | LoginRunnableProgram | program,
|  | Dictionary< string, object > | parameters
| ) |  |

Shows the LoginRunnableProgram in a modal window.

Parameters

  program | The LoginRunnableProgram to be run.
  parameters | The optional parameters for the LoginRunnableProgram to be run. See WellKnownParameterKeys.LoginScope.Program for the available keys.

Returns
  Returns a DialogResultCode for the LoginRunnableProgram.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ WaitForShow()

DialogResultCode Ofcas.Lk.Api.Client.Ui.LoginScopeUi.WaitForShow | ( | ISynchronizedOperation | synchronizedOperation | ) |

Waits for the ISynchronizedOperation to finish.

Parameters

  synchronizedOperation | The ISynchronizedOperation to be finished.

Returns
  Returns a DialogResultCode for the ISynchronizedOperation.

The documentation for this class was generated from the following file:

- LoginScopeUi.cs